ros-humble-tiago-controller-configuration (4.24.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Jan 2026 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.24.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 12 Jan 2026 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.23.1-1jammy) jammy; urgency=high

  * Add "Hardware Components Activity" module dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 08 Jan 2026 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.23.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 05 Dec 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.22.0-1jammy) jammy; urgency=high

  * Merge branch 'tpe/add_open_loop' into 'humble-devel'
    Add openloop to controllers
    See merge request robots/tiago_robot!361
  * Add openloop to controllers + remove impedance controller
  * Contributors: thomas.peyrucain, thomaspeyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 29 Oct 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.21.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 27 Oct 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.20.0-1jammy) jammy; urgency=high

  * Force to current conversion is now handled at actuator level
    Set most motor constants and reducers to 1.0 so the effort to current
    conversion can be handled at actuator level
  * Contributors: Jordan Palacios

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 20 Oct 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.6-1jammy) jammy; urgency=high

  * Remove joint 5 in the gravity compensation due to motor issue
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Oct 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 16 Sep 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.4-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Aug 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 16 Jul 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Jul 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Jul 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.19.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 08 Jul 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.18.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 18 Jun 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.17.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 05 Jun 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.17.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 13 May 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.17.0-1jammy) jammy; urgency=high

  * Standarized gravity comp launcher
  * Added command interface param needed for new version of gravity comp
  * Contributors: oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Apr 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.16.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 03 Apr 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.15.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Mar 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.15.0-1jammy) jammy; urgency=high

  * Remove imu broadcaster dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Mar 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.14.1-1jammy) jammy; urgency=high

  * Remove unused imu broadcaster
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 18 Mar 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.14.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.13.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Jan 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.12.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 20 Jan 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.11.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jan 2025 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.11.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 16 Dec 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.10.0-1jammy) jammy; urgency=high

  * lunch the gravity comp controller only if not a public simulation and if Tiago has a arm
  * Contributors: matteovillani

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 29 Nov 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.9.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.8.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 21 Nov 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.7.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.7.0-1jammy) jammy; urgency=high

  * Set update_rate for joint_state_broadcaster
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 Nov 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.6.0-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 18 Sep 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.5.0-1jammy) jammy; urgency=high

  * Use launch file directly from base controller_configuration
  * Don't load gravity compensation in public sim
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.4.0-1jammy) jammy; urgency=high

  * Fix flake8
  * Add gravity compensation support for all grippers + improve launch file
  * Fix rebase issues + add arm_motor_model to module
  * Add dependencies and parameter for motor_model
  * Add gravity compensation controller as default controller loaded inactive
  * gravity compensation controller loaded in the default controllers
  * Contributors: Aina, ileniaperrella, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.3.0-1jammy) jammy; urgency=high

  * Use controller_type from the controllers config
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 07 Aug 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.21-1jammy) jammy; urgency=high

  * enable odom tf for pmb2 for public sim
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 05 Aug 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.20-1jammy) jammy; urgency=high

  * Adding open_loop_control variable to head controller
  * Contributors: vivianamorlando

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 29 Jul 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.19-1jammy) jammy; urgency=high

  * Change parameter to arm_type
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 25 Jul 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.18-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.17-1jammy) jammy; urgency=high

  * change module name into 10_*
  * change the bases config file for their packages config files
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.16-1jammy) jammy; urgency=high

  * Add imu sensor broadcaster
  * Contributors: davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Jun 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.15-1jammy) jammy; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change imports for robot arguments
    See merge request robots/tiago_robot!297
  * Change imports for robot arguments
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.14-1jammy) jammy; urgency=high

  * Merge branch 'dtk/fix/base-urdf' into 'humble-devel'
    Dtk/fix/base urdf
    See merge request robots/tiago_robot!295
  * Add imu gazebo plugin and imu sensor broadcaster
  * Move ros2 control gazebo
  * Merge branch 'fix/remove_pmb2_extra_joints' into 'humble-devel'
    Remove casters and suspension from joint_state_broadcaster
    See merge request robots/tiago_robot!296
  * Remove casters and suspension from joint_state_broadcaster
  * Contributors: David ter Kuile, Jordan Palacios, Noel Jimenez, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.13-1jammy) jammy; urgency=high

  * Merge branch 'feat/motions' into 'humble-devel'
    pre-recorded_motions
    See merge request robots/tiago_robot!292
  * fix launch ee_controller when no-ft-sensor
  * Contributors: Aina, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jun 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.12-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 May 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.11-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.9-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 May 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.8-1jammy) jammy; urgency=high

  * Merge branch 'omm/fix/urdf_complete_std' into 'humble-devel'
    URDF std
    See merge request robots/tiago_robot!278
  * Suggested changed
  * Module, joy config and restored support for tiago dual
  * Omni related checks and files
  * Suggested changes
  * Launch files moved to TIAGo family standard
  * Merge branch 'tpe/add_omni_controller' into 'humble-devel'
    Add missing dependency for the omni_base controller
    See merge request robots/tiago_robot!279
  * Add missing dependency for the omni_base controller
  * Contributors: Oscar, davidterkuile, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 30 Apr 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.7-1jammy) jammy; urgency=high

  * Merge branch 'sgg/feat/base_type_omni_base' into 'humble-devel'
    Sgg/feat/base type omni base
    See merge request robots/tiago_robot!273
  * Fix whitespace
  * mobile_base_controller.launch.py
    Handle is_public_sim
  * Add param to ctor
  * Add use_sim parameter
  * Refactor avoiding if to reduce code complexity
  * Update new robot argument method
    Update new robot argument
    Update new robot argument
    Remove blank lines
  * Launch joint_state_broadcaster depending on the base_type
    Fix syntax
    Remove redundant check
    Remove redundant check
  * Fix syntax
  * Fix quotes in comparison
  * Parameterized mobile base type
  * Hardcoded omni_base controller
  * Contributors: Sergi Garcia, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 22 Apr 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.6-1jammy) jammy; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    added public sim config for mobile base controller
    See merge request robots/tiago_robot!274
  * cosmetic
  * added public sim config for mobile base controller
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.5-1jammy) jammy; urgency=high

  * Add ros2controlcli dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.4-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 Mar 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Feb 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.0-1jammy) jammy; urgency=high

  * update license year
  * added impedance controller configuration
  * update gravity compensation controller config
  * Remove unused type parameter from controllers configuration
  * Contributors: Noel Jimenez, Sai Kishor Kothakota

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.1.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 19 Jan 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.1.1-1jammy) jammy; urgency=high

  * adding the config files needed for robotiq
  * modifying where to find the urdfs for robotiq
  * updating the necessary dependencies for robotiq
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 19 Jan 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.1.0-1jammy) jammy; urgency=high

  * Merge branch 'ros2-tiago-dual' into 'humble-devel'
    Ros2 tiago dual
    See merge request robots/tiago_robot!240
  * Remove unused param
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 18 Jan 2024 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.28-1jammy) jammy; urgency=high

  * adding pal_hey5 as dependency
  * removing temporal exception for hey5 gripper
  * relocate the pal-hey5 configuration and launch files
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 22 Dec 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.27-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.26-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 Dec 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.25-1jammy) jammy; urgency=high

  * Launch gripper from its controller_configuration package
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.24-1jammy) jammy; urgency=high

  * Bump module names
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.23-1jammy) jammy; urgency=high

  * Remove unused files
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 Dec 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.22-1jammy) jammy; urgency=high

  * Set 'finishes: True' for default_controllers module
  * Update cmake_minimum_required version to 3.8
  * Cleanup repository
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Nov 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Nov 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.20-1jammy) jammy; urgency=high

  * Add website tag
  * Rename description and controller modules
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.19-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Nov 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.18-1jammy) jammy; urgency=high

  * Split bringup module
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 Nov 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.17-1jammy) jammy; urgency=high

  * Use wheels calibration if exists
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 19 Oct 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Sep 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.15-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 04 Sep 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.14-1jammy) jammy; urgency=high

  * Rename FT Sensor
  * Fix ft_sensor_controller frame_id parameter
  * Add controller for the FT sensor
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 20 Jul 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.13-1jammy) jammy; urgency=high

  * Remove schunk wsg option
  * Launch controllers depending on robot arguments
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.12-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.11-1jammy) jammy; urgency=high

  * fix controllers launcher when there is no end_effector
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Jun 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.9-1jammy) jammy; urgency=high

  * remove ros1 commented dependencies
  * comment controller dependency
  * flake8 fixes
  * add conditional dependency and do not launch gravity compensation controller as default
  * Spawn gravity compensation controller inactive
  * Set gravity compensation controller parameters
  * Add gravity compensation controller
  * Contributors: Adria Roig, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.8-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.7-1jammy) jammy; urgency=high

  * set sim time for gazebo controller_manager
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.6-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'rm_use_sim_time' into 'humble-devel'
    remove use_sim_time parameter
    See merge request robots/tiago_robot!191
  * remove use_sim_time parameter
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.4-1jammy) jammy; urgency=high

  * Merge branch 'fix_controllers_config' into 'humble-devel'
    remove initial / from controllers config
    See merge request robots/tiago_robot!190
  * remove initial / from controllers config
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'update_license' into 'humble-devel'
    Update license
    See merge request robots/tiago_robot!180
  * update license
  * Merge branch 'fix_dependency' into 'humble-devel'
    fix buildtool dependency
    See merge request robots/tiago_robot!179
  * fix buildtool dependency
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup package.xml files and rm duplicated launcher
    See merge request robots/tiago_robot!174
  * rm duplicated launcher
  * update package.xml deps
  * Merge branch 'fix_substitution' into 'humble-devel'
    fix end effector substitution
    See merge request robots/tiago_robot!169
  * fix end effector substitution
  * Merge branch 'default_robot_name' into 'humble-devel'
    Add missing default robot name
    See merge request robots/tiago_robot!168
  * add missing default robot name
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/tiago_robot!167
  * update copyright and license
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_robot!165
  * rm ros1 launchers
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_robot!159
  * rm print
  * linters
  * Merge branch 'launch_refactor' into 'humble-devel'
    launch files refactor
    See merge request robots/tiago_robot!158
  * launch files refactor
  * Merge branch 'tiago_launcher' into 'galactic-devel'
    Tiago launcher
    See merge request robots/tiago_robot!150
  * add todo
  * Merge branch 'pal-hey5-ros2' into 'foxy-devel'
    pal-hey5 launch files and config
    See merge request robots/tiago_robot!130
  * use tiago_launch_utils
  * add pal-gripper launch
  * update default controllers launch file
  * pal-hey5 launch files and config
  * Add basic tests to tiago_controller_configuration
  * Add extra joints
  * Add use_sim_time to controllers as a workaround for https://github.com/ros-controls/ros2_control/issues/325
  * Added new parameters required for joint trajectory controllers
    Also, enabled default controllers
  * Lower controller manager to 100hz
  * Using joint_state_broadcaster instead of controller
  * Increased controller manager update rate to match gazebo's
  * Added twist_mux to the tiago bringup
    mobile_base_controller now uses the twist unstamped topic instead
  * Use correct namespacing for parameters
  * Using controller_manager launch_utils
  * Support for pal-gripper end effector
  * Now uses launch_pal utils
  * Added wrist to arm_controller
  * Added arm_controller, no wrists
  * Added head_controller
  * Added torso_controller
  * Added default_controllers with mobile_base and joint_state controllers
  * Added gazebo_controller_manager_cfg.yaml
  * tiago_controller_configuration readded and migrated to ros2
  * Ignoring tiago_bringup and tiago_controller_configuration for now
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, Victor Lopez, cescfolch, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.55-1jammy) jammy; urgency=high

  * Merge branch 'gravity_compensation_fix' into 'erbium-devel'
    Update arm_3_link weight for gravity compensation
    See merge request robots/tiago_robot!120
  * Update motor torque constant arm_5_joint for gravity_compensation
  * Contributors: Adria Roig, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 15 Jan 2021 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.54-1jammy) jammy; urgency=high

  * Merge branch 'new-endoscopic-dual' of gitlab:robots/tiago_robot into new-endoscopic-dual
  * Contributors: daniellopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 08 Sep 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.53-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.52-1jammy) jammy; urgency=high

  * Merge branch 'safety_parameters' into 'erbium-devel'
    Update default_safety_parameters.yaml with new changes in the safety of local joint control
    See merge request robots/tiago_robot!117
  * Update default_safety_parameters.yaml with new changes in the safety of local joint control
  * Contributors: saikishor, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 27 Jul 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.51-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jul 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.50-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.49-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Jul 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.48-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 10 Jun 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.47-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 15 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.46-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 13 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.45-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.44-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.43-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.42-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.41-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.40-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 May 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.39-1jammy) jammy; urgency=high

  * Merge branch 'custom-ee' into 'erbium-devel'
    Allow using custom end-effector
    See merge request robots/tiago_robot!102
  * Add parameter files for custom EE
  * Contributors: davidfernandez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 21 Apr 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.38-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Feb 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.37-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 14 Feb 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.36-1jammy) jammy; urgency=high

  * Merge branch 'specifics_file' into 'erbium-devel'
    added missing actuator specifics file
    See merge request robots/tiago_robot!100
  * added missing actuator specifics file
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 28 Jan 2020 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.35-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 Nov 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.34-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 30 Oct 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.33-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 21 Oct 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.32-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 16 Oct 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.31-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.30-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 02 Oct 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.29-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.28-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.27-1jammy) jammy; urgency=high

  * added missing effort control parameters for arm joint 4
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 17 Sep 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.26-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 18 Jul 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.25-1jammy) jammy; urgency=high

  * Merge branch 'add-wsg-controller-dependency' into 'erbium-devel'
    Add missing wsg controller config
    See merge request robots/tiago_robot!89
  * Add missing wsg controller config
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Jul 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.24-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.23-1jammy) jammy; urgency=high

  * Merge branch 'joint_traj_bug' into 'erbium-devel'
    Fixes bjoin trajectory bug in torso controller
    See merge request robots/tiago_robot!87
  * Fixes bjoin trajectory bug in torso controller
  * Contributors: Adria Roig, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 07 Jun 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.22-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 21 May 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.21-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 May 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.20-1jammy) jammy; urgency=high

  * Merge branch 'no_wrist_gravity' into 'erbium-devel'
    Add gravity no wrist for new wrist model
    See merge request robots/tiago_robot!81
  * Update motor_torque_constant for the joints of the wrist
  * Add gravity no wrist for new wrist model
  * Contributors: Adria Roig, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.19-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 May 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.18-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 23 Apr 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.17-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 12 Apr 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 12 Apr 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.15-1jammy) jammy; urgency=high

  * Merge branch 'wrist_current_control' into 'erbium-devel'
    Add missing effort config files
    See merge request robots/tiago_robot!70
  * Add missing effort config files
  * Contributors: Adria Roig, Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 05 Apr 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.14-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 03 Apr 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.13-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.12-1jammy) jammy; urgency=high

  * Merge branch 'incorrect_arm_constraints' into 'erbium-devel'
    Fix wrong constraints on arm joint traj controllers
    See merge request robots/tiago_robot!73
  * Fix wrong constraints on arm joint traj controllers
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.11-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.9-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 22 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.8-1jammy) jammy; urgency=high

  * Merge branch 'minor-fixes' into 'erbium-devel'
    Minor fixes
    See merge request robots/tiago_robot!72
  * Remove unuesd home_gripper script
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 15 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.7-1jammy) jammy; urgency=high

  * Merge branch 'actuator_simulation' into 'erbium-devel'
    added more paramater to actuators
    See merge request robots/tiago_robot!71
  * removed empty spaces
  * fixed reduction ratio
  * added more paramater to actuators
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.6-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 Mar 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.5-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 26 Feb 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.4-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 Feb 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 05 Feb 2019 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 21 Dec 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.1-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 20 Dec 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (2.0.0-1jammy) jammy; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Generate automatically play_motion and approach_planner configs
    See merge request robots/tiago_robot!65
  * Remove deprecated files
  * fixes
  * Create configurations of gravity_compensation_with_controller_wrist
  * More refactor
  * Add head and migrate controller launch
  * 1.0.23
  * changelog
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.23-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Dec 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.22-1jammy) jammy; urgency=high

  * Merge branch 'as_disable_safety' into 'erbium-devel'
    Disable joint safety by default.
    See merge request robots/tiago_robot!64
  * Disable joint safety by default.
  * Contributors: alexandersherikov

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Dec 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.21-1jammy) jammy; urgency=high

  * Merge branch 'as_safety' into 'erbium-devel'
    New joint safety parameters, add missing exec dependencies
    See merge request robots/tiago_robot!63
  * Add dependency on pal_local_joint_control.
  * New joint safety parameters, add missing exec dependencies
  * Contributors: alexandersherikov

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Nov 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.20-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 19 Nov 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.19-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.18-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 19 Sep 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.17-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Sep 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.16-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Aug 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.15-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Aug 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.14-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Aug 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.13-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Aug 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.12-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 30 Jul 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.11-1jammy) jammy; urgency=high

  * Add missing simple_grasping_action dependency for hey5 launch
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 13 Jul 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.10-1jammy) jammy; urgency=high

  * Merge branch 'no_control' into 'erbium-devel'
    No control
    See merge request robots/tiago_robot!52
  * Add no control local params for torso
  * Add no control local config files
  * Contributors: Adrià Roig, Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 10 Jul 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.9-1jammy) jammy; urgency=high

  * Merge branch 'model_utils' into 'erbium-devel'
    refactoring local joint control
    See merge request robots/tiago_robot!51
  * working gravity compensation on robot after pal_local_joint control refactor
  * refactoring local joint control
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 24 May 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.8-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 02 May 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.7-1jammy) jammy; urgency=high

  * Merge branch 'iron-config' into 'erbium-devel'
    Remove arm controllers for Tiago Iron
    See merge request robots/tiago_robot!49
  * Remove arm controllers for Tiago Iron
  * Merge branch 'remove-chessboard' into 'erbium-devel'
    Remove chessboard, it's a separate entity now
    See merge request robots/tiago_robot!47
  * Remove chessboard, it's a separate entity now
  * Contributors: Hilario Tome, Victor Lopez, davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 02 May 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.6-1jammy) jammy; urgency=high

  * Merge branch 'extra-joints-torque-state-controller' into 'erbium-devel'
    Use extra joints on torque_state_controller
    See merge request robots/tiago_robot!41
  * Use extra joints on torque_state_controller
  * Contributors: Hilario Tome, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 10 Apr 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.5-1jammy) jammy; urgency=high

  * Add new extra joints
  * Contributors: Jordan Palacios

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 29 Mar 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.4-1jammy) jammy; urgency=high

  * Merge branch 'recover-chessboard-tiago' into 'erbium-devel'
    Recover chessboard tiago
    See merge request robots/tiago_robot!38
  * Revert "remove unused files"
    This reverts commit e50aca81d55736b99e108bb90d681862be39c028.
  * Merge branch 'wbc-erbium' into 'erbium-devel'
    WBC erbium
    See merge request robots/tiago_robot!37
  * Remove unnecessary launch file
  * Contributors: Adria Roig, Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 26 Mar 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.3-1jammy) jammy; urgency=high

  * fixed typo in local joint control, commented out rpc
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 16 Mar 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.2-1jammy) jammy; urgency=high

  * Publish_cmd to true, and deprecate publish_wheel_data
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Mar 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.1-1jammy) jammy; urgency=high

  * Add gravity_compensation_controller as run depend
  * Contributors: Adria Roig

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 22 Feb 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (1.0.0-1jammy) jammy; urgency=high

  * changed scaling gains to one for direct effort control
  * Fix gravity compensation issues
  * added more configuration files for local joint control
  * Contributors: Adria Roig, Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Feb 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.46-1jammy) jammy; urgency=high

  * added extra wbc controller to mode blacklist and started to add local joint control configuration files
  * removed wbc loading from titanium and steel controller launch files
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 20 Feb 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.45-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 08 Feb 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.44-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Feb 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.43-1jammy) jammy; urgency=high

  * include launch file now in pal_gripper package
  * remove no longer needed installation rule
  * remove unused files
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 24 Jan 2018 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.42-1jammy) jammy; urgency=high

  * added publish odom option in controller yaml
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 01 Dec 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.41-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 31 Oct 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.40-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 27 Oct 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.39-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 12 Jul 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.38-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 16 May 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.37-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 05 May 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.36-1jammy) jammy; urgency=high

  * Allow multiple Tiago to use the navigation stack
  * Contributors: davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Apr 2017 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.35-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Dec 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.34-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 06 Nov 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.33-1jammy) jammy; urgency=high

  * launch current_limit_controller of the gripper
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 04 Nov 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.32-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 26 Oct 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.31-1jammy) jammy; urgency=high

  * 0.0.30
  * Update changelog
  * Add missing dependencies
  * modify package description
  * add myself as maintainer
  * add myself as maintainer
  * 0.0.29
  * Update changelog
  * 0.0.28
  * Update changelog
  * 0.0.27
  * Update changelog
  * Removing shadow hand controllers
  * 0.0.26
  * Update changelog
  * 0.0.25
  * Update changelog
  * 0.0.24
  * changelog
  * 0.0.23
  * Update changelog
  * 0.0.22
  * Update changelog
  * 0.0.21
  * Update changelog
  * Add imu_controller.launch
  * 0.0.20
  * Update changelog
  * Remove wbc dependencies
  * 0.0.19
  * Update changelog
  * Final values after testing in real robot
  * Update gravity compensation parameters to new format
  * 0.0.18
  * changelog
  * enable preserve_turning_radius
  * enable wheel_data pub in mobile_base_controller
  * 0.0.17
  * changelog
  * 0.0.16
  * Update changelog
  * Fix typo/copypaste on adding torso1 joint and 2 joint instead of gripper jointS
  * 0.0.15
  * Update changelog
  * Add fake parallel gripper controller launch with only one joint
  * 0.0.14
  * Update changelog
  * 0.0.13
  * Update changelog
  * Contributors: Jeremie Deray, Jordi Pages, Sam Pfeiffer, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 14 Oct 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.30-1jammy) jammy; urgency=high

  * Add missing dependencies
  * modify package description
  * add myself as maintainer
  * add myself as maintainer
  * Contributors: Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 13 Oct 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.29-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Jul 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.28-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Jul 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.27-1jammy) jammy; urgency=high

  * Removing shadow hand controllers
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 19 Jul 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.26-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 08 Jul 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.25-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 28 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.24-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.23-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.22-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.21-1jammy) jammy; urgency=high

  * Add imu_controller.launch
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.20-1jammy) jammy; urgency=high

  * Remove wbc dependencies
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.19-1jammy) jammy; urgency=high

  * Final values after testing in real robot
  * Update gravity compensation parameters to new format
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.18-1jammy) jammy; urgency=high

  * enable preserve_turning_radius
  * enable wheel_data pub in mobile_base_controller
  * Contributors: Jeremie Deray

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.17-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.16-1jammy) jammy; urgency=high

  * Fix typo/copypaste on adding torso1 joint and 2 joint instead of gripper jointS
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.15-1jammy) jammy; urgency=high

  * Add fake parallel gripper controller launch with only one joint
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.14-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.13-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 10 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.12-1jammy) jammy; urgency=high

  * Separating launch of joint_state_controller and force_torque_controller
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.11-1jammy) jammy; urgency=high

  * Remove extra joints as the casters are not published anymore
  * 0.0.10
  * Updated changelog
  * 0.0.9
  * Update changelog
  * 0.0.8
  * Update changelog
  * Add missing wbc dependencies to tiago_controller_configuration
    refs #13364
  * 0.0.7
  * Update changelog
  * 0.0.6
  * Update changelogs
  * Fixed wheel sleeping in gazebo, and added head transmission (This can break the real robot if a blacklist is not implemented in pal_ros_control
  * 0.0.5
  * Update changelog
  * Adding new defaults for TIAGo
    Current limit controller for the wheels.
    Soften on effort values config for a specific robot.
  * launch Diff drive controller multipliers
  * Removing specific current controller for wrist as the full arm one works already
  * Compensate low force of joint 2
  * tune parameters
  * fix sign of arm 4
  * Add gravity and wbc controllers load on boot
  * remove hey5 hand from URDF
  * Add extra_joints spec for joint state controller
    Only in hardware deployments: Load set of extra joints to be published as
    dummies by the joint_state_controller.
  * Update finger pids so the hand works with PAL Hand plugin in gazebo
  * Update with all joints until the grav compensation is fixed
    Add wrist controller
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Bence Magyar, Hilario Tome, Jeremie Deray, Sam Pfeiffer, Victor Lopez, mailto:jordi.pages@pal-robotics.com

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 03 Jun 2016 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.4-1jammy) jammy; urgency=high

  * Add current limit controller
  * Fix name of spawner
  * Add hand controller launch and config file
  * Remove ref to hand
  * Gravity compensation config & launch file
  * Adding tiago_shadow, tiago with shadow lite hand (! no dependency on shadow packages on purpose!)
  * Add install rule for home_gripper.py
  * Contributors: Bence Magyar

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 20 May 2015 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Apr 2015 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.2-1jammy) jammy; urgency=high

  * Move play_motion to controller launch files, update dependencies accordingly
  * Add iron to startup
  * Reduce acceleration limits
  * add missing components for titanium+chessboard
  * Add script to automatically open gripper
  * Changes to fix finger shaking. Much better than before.
  * Use steel and titanium tiago, launch files parametrized
  * Change gripper joint names and add pids
  * Change finger names and add controller + first gains
  * Finetune of pids to prevent head shaking
  * Add separate joint traj cont constraints for head
  * Contributors: Bence Magyar, Enrique Fernandez, Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 15 Apr 2015 00:00:00 -0000

ros-humble-tiago-controller-configuration (0.0.1-1jammy) jammy; urgency=high

  * Load joint traj controllers config file
  * Install config and launch files
  * Add 0 pids for fingers
  * Update inertias, Center of Mass' and related pids
    Hand commented until it works on gazebo
  * Add tiago_bringup and tiago_controller_configuration
  * Contributors: Bence Magyar

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 20 Jan 2015 00:00:00 -0000


